Get a workspace member
curl --request GET \
--url https://api.ando.so/v1/members/{memberId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/members/{memberId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"display_name": "<string>",
"email": "jsmith@example.com",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"handle": "<string>",
"principal_type": "user",
"workspace_role": "guest",
"joined_at": 123,
"management_kind": "managed_agent",
"role_name": "<string>",
"profile_image_url": "<string>",
"title": "<string>",
"workspaceMembershipId": "01jzn7e61x3a7v9h2r7t2m3q4p"
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Get a workspace member
Returns a workspace member visible to the authenticated API key. The v1 path and memberId parameter are compatibility spellings for a workspace member identifier.
GET
https://api.ando.so/v1
/
members
/
{memberId}
Get a workspace member
curl --request GET \
--url https://api.ando.so/v1/members/{memberId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/members/{memberId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"display_name": "<string>",
"email": "jsmith@example.com",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"handle": "<string>",
"principal_type": "user",
"workspace_role": "guest",
"joined_at": 123,
"management_kind": "managed_agent",
"role_name": "<string>",
"profile_image_url": "<string>",
"title": "<string>",
"workspaceMembershipId": "01jzn7e61x3a7v9h2r7t2m3q4p"
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Path Parameters
Response
Workspace member details.
Workspace member result visible to the authenticated API key. The v1 schema name is a compatibility spelling for this resource.